devel/termcolor - The NetBSD Packages Collection

C++ library for printing colored messages to the terminal

Termcolor is a header-only C++ library for printing colored
messages to the terminal. Written just for fun with a help
of the Force. Termcolor uses ANSI color formatting, so you
can use it on every system that is used such terminals (most
*nix systems, including Linux and Mac OS).

Build dependencies

pkgtools/mktools devel/cmake pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64termcolor-2.0.0.tgz
NetBSD 10.0aarch64termcolor-2.0.0.tgz
NetBSD 10.0earmv6hftermcolor-2.0.0.tgz
NetBSD 10.0earmv6hftermcolor-2.0.0.tgz
NetBSD 10.0earmv7hftermcolor-2.0.0.tgz
NetBSD 10.0earmv7hftermcolor-2.0.0.tgz
NetBSD 10.0i386termcolor-2.0.0.tgz
NetBSD 10.0powerpctermcolor-2.0.0.tgz
NetBSD 10.0powerpctermcolor-2.0.0.tgz
NetBSD 10.0x86_64termcolor-2.0.0.tgz
NetBSD 10.0x86_64termcolor-2.0.0.tgz
NetBSD 8.0i386termcolor-2.0.0.tgz
NetBSD 8.0i386termcolor-2.0.0.tgz
NetBSD 8.0powerpctermcolor-2.0.0.tgz
NetBSD 8.0powerpctermcolor-2.0.0.tgz
NetBSD 8.0x86_64termcolor-2.0.0.tgz
NetBSD 8.0x86_64termcolor-2.0.0.tgz
NetBSD 9.0aarch64termcolor-2.0.0.tgz
NetBSD 9.0aarch64termcolor-2.0.0.tgz
NetBSD 9.0aarch64termcolor-2.0.0.tgz
NetBSD 9.0alphatermcolor-2.0.0.tgz
NetBSD 9.0alphatermcolor-2.0.0.tgz
NetBSD 9.0alphatermcolor-2.0.0.tgz
NetBSD 9.0alphatermcolor-2.0.0.tgz
NetBSD 9.0earmtermcolor-2.0.0.tgz
NetBSD 9.0earmtermcolor-2.0.0.tgz
NetBSD 9.0earmtermcolor-2.0.0.tgz
NetBSD 9.0earmtermcolor-2.0.0.tgz
NetBSD 9.0earmv6hftermcolor-2.0.0.tgz
NetBSD 9.0earmv6hftermcolor-2.0.0.tgz
NetBSD 9.0earmv6hftermcolor-2.0.0.tgz
NetBSD 9.0earmv7hftermcolor-2.0.0.tgz
NetBSD 9.0earmv7hftermcolor-2.0.0.tgz
NetBSD 9.0earmv7hftermcolor-2.0.0.tgz
NetBSD 9.0i386termcolor-2.0.0.tgz
NetBSD 9.0i386termcolor-2.0.0.tgz
NetBSD 9.0i386termcolor-2.0.0.tgz
NetBSD 9.0m68ktermcolor-2.0.0.tgz
NetBSD 9.0m68ktermcolor-2.0.0.tgz
NetBSD 9.0mips64ebtermcolor-2.0.0.tgz
NetBSD 9.0mips64ebtermcolor-2.0.0.tgz
NetBSD 9.0mips64ebtermcolor-2.0.0.tgz
NetBSD 9.0mips64ebtermcolor-2.0.0.tgz
NetBSD 9.0powerpctermcolor-2.0.0.tgz
NetBSD 9.0powerpctermcolor-2.0.0.tgz
NetBSD 9.0powerpctermcolor-2.0.0.tgz
NetBSD 9.0sparc64termcolor-2.0.0.tgz
NetBSD 9.0sparc64termcolor-2.0.0.tgz
NetBSD 9.0sparc64termcolor-2.0.0.tgz
NetBSD 9.0sparc64termcolor-2.0.0.tgz
NetBSD 9.0sparctermcolor-2.0.0.tgz
NetBSD 9.0sparctermcolor-2.0.0.tgz
NetBSD 9.0sparctermcolor-2.0.0.tgz
NetBSD 9.0x86_64termcolor-2.0.0.tgz
NetBSD 9.0x86_64termcolor-2.0.0.tgz
NetBSD 9.0x86_64termcolor-2.0.0.tgz
NetBSD 9.0x86_64termcolor-2.0.0.tgz
NetBSD 9.0x86_64termcolor-2.0.0.tgz
NetBSD 9.99.96aarch64ebtermcolor-2.0.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.